### Hierarchy

- SettingsPageItemProps
  - SettingsPageItemDesktopProps

## Index

### Properties

- component
- description
- descriptionStyle
- name
- styles
- title
- titleStyle

## Properties

### component

component: string | React.ComponentType<any>

Inherited from SettingsPageItemProps.component

- Defined in src/layouts/SettingsPageItem/index.ts:11

Name of the component, or the component itself to render.

### Optional description

description: React.ReactNode

Inherited from SettingsPageItemProps.description

- Defined in src/layouts/SettingsPageItem/index.ts:20

The description of the segment. This is only visible on desktop layout.

### Optional descriptionStyle

descriptionStyle: StyleProp<TextStyle>

Inherited from SettingsPageItemProps.descriptionStyle

- Defined in src/layouts/SettingsPageItem/index.ts:26

Styles to apply to the description component

### name

name: string

Inherited from SettingsPageItemProps.name

- Defined in src/layouts/SettingsPageItem/index.ts:14

A slug to identify the item

### Optional styles

styles: Partial<SettingsPageItemDesktopStyles>

- Defined in src/layouts/SettingsPageItem/SettingsPageItemDesktop.tsx:17

### Optional title

title: React.ReactNode

Inherited from SettingsPageItemProps.title

- Defined in src/layouts/SettingsPageItem/index.ts:17

The title of the segment

### Optional titleStyle

titleStyle: StyleProp<TextStyle>

Inherited from SettingsPageItemProps.titleStyle

- Defined in src/layouts/SettingsPageItem/index.ts:23

Styles to apply to the title component

Generated using TypeDoc